#pragma once
#include "dynamic.h"
namespace engineapi {
	class ActorProperty;
	class ActorMesh : public DynamicMesh {
	protected:
		ActorProperty& mProperty;
	public:
		ActorMesh(Model& model, ActorProperty& property);
	public:
		static ActorMesh* New(ActorProperty& property);
		static ActorMesh* New(uint32_t id);
	};
}